This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 25095 - need to check if user is root
need to check if user is root
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: netcfg (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
David Lawrence
Florence RC-2
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-01-27 16:43 EST by Jeremy Katz
Modified: 2007-04-18 12:30 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-01-29 19:03:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jeremy Katz 2001-01-27 16:43:39 EST
Need to check if user is root on running netcfg prior to trying to read
/etc/ppp/pap-secrets to avoid traceback

1113 katzj@rivendell:~/projects/redhat> netcfg
Red Hat Linux netcfg 2.31
Copyright (C) 1996, 1997, 1998, 1999, 2000 Red Hat, Inc.
Redistributable under the terms of the GNU General Public License
Traceback (innermost last):
  File "/usr/lib/rhs/netcfg/netcfg.py", line 1963, in ?
    win = WindowFrame(Toplevel())
  File "/usr/lib/rhs/netcfg/netcfg.py", line 1931, in __init__
    self.G = GV()
  File "/usr/lib/rhs/netcfg/netcfg.py", line 172, in __init__
    self.PAP = ConfPAP()
  File "/usr/lib/rhs/python/Conf.py", line 1683, in __init__
    Conf.__init__(self, '/etc/ppp/pap-secrets', '#', '\t ', '\t')
  File "/usr/lib/rhs/python/Conf.py", line 180, in __init__
    self.read()
  File "/usr/lib/rhs/python/Conf.py", line 1685, in read
    Conf.read(self)
  File "/usr/lib/rhs/python/Conf.py", line 260, in read
    self.file = open(self.filename, 'r', -1)
IOError: [Errno 13] Permission denied: '/etc/ppp/pap-secrets'
Comment 1 Glen Foster 2001-01-29 19:03:50 EST
This defect is considered MUST-FIX for Florence Release-Candidate #2
Comment 2 Nalin Dahyabhai 2001-02-09 16:58:03 EST
Should be resolved in netcfg-2.36-2 and later.  Please reopen if you find that
this is not the case.

Note You need to log in before you can comment on or make changes to this bug.